package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.TaskDistConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaskDistConfigMapper {

    int deleteByPrimaryKey(Long id);

    int insert(TaskDistConfig record);

    int insertSelective(TaskDistConfig record);

    TaskDistConfig selectByPrimaryKey(Long id);

    int updateByBranchinrSelective(TaskDistConfig record);

    int updateByPrimaryKeySelective(TaskDistConfig record);

    int updateByPrimaryKey(TaskDistConfig record);

    List<TaskDistConfig> selectAll();

    TaskDistConfig selectOneByBranchinr(@Param("branchinr") String branchinr);

    int deleteByBranchinr(@Param("branchinr") String branchinr);

}
